classification
Title: expose glossary link on hover
Type: behavior Stage: needs patch
Components: Documentation Versions: Python 3.1, Python 3.3, Python 3.4
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, chris.jerdonek, docs@python, ezio.melotti, georg.brandl, r.david.murray
Priority: normal Keywords:

Created on 2012-08-16 15:48 by chris.jerdonek, last changed 2016-03-10 11:32 by chris.jerdonek.

Messages (9)
msg168388 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-08-16 15:48
It would be nice if hovering over the right side of the header to a glossary entry would expose a link in the same way that it does for function definitions, etc.

http://docs.python.org/dev/glossary.html#glossary

Otherwise, there doesn't seem to be a convenient way to get a direct link to a glossary entry.

I'm not sure if this issue should also be filed with Sphinx.
msg168389 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-08-16 15:51
I think it probably should be filed with sphinx instead, rather than also.
msg168391 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-08-16 16:02
Do we pin the version of Sphinx that we use to generate the documentation?  If Sphinx fixes the issue, would we need to make a corresponding change here to reflect the fix?
msg168393 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-08-16 16:12
We do pin it, but we generally have no problem with upgrading.  I think we generally upgrade it exactly when there is a new Sphinx feature we want for our docs :)  We don't maintain local patches to Sphinx (though we do have code that is specific to our docs, using Sphinx's extension mechanisms).
msg168394 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-08-16 16:18
> I think we generally upgrade it exactly when there is a new Sphinx feature we want for our docs :)

:)  Would the appropriate way to handle it be then to create an issue to "upgrade Sphinx when XXX issue is resolved" and link to the corresponding Sphinx issue?

I also see value in Python being able to track and possibly assist Sphinx in fixing an issue that we want.

Incidentally, issue 15455 may fall into the same category now that I know more.
msg168395 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-08-16 16:40
Well, I think it depends on what we consider the priority of the issue.  So, I personally would count this one as low, and would be happy that it gets fixed whenever we happen to upgrade to a version of Sphinx that fixes it.  If it is an issue we consider higher priority, then yes linking to the corresponding Sphinx issue here would be appropriate, and we have done that in the past.  (My notions are of course not the sole determining factor on the priority.)

In case you don't know, Georg is the primary author/maintainer of Sphinx, and I'm sure he'll be happy for any help you (or others) want to provide :).

By the way, although I use it on my own site I'm not by any means a Sphinx expert, so my thoughts about where this should be changed could be wrong.
msg168398 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-08-16 19:10
I created a Sphinx issue for this here:

https://bitbucket.org/birkenfeld/sphinx/issue/996/expose-glossary-entry-link-on-hover
msg169169 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-08-26 18:56
I submitted a patch for this issue on the Sphinx tracker.
msg261495 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2016-03-10 11:32
It looks like the issue I previously filed on the Sphinx tracker was migrated here: https://github.com/sphinx-doc/sphinx/issues/996 . But the patch I submitted seems to have been dropped.
History
Date User Action Args
2016-03-10 11:32:40chris.jerdoneksetmessages: + msg261495
2016-02-11 17:25:39georg.brandlsetassignee: georg.brandl ->
2013-06-21 23:33:12brett.cannonsetnosy: + brett.cannon
2013-04-26 11:54:26ezio.melottisetnosy: + ezio.melotti
2013-04-25 23:16:00pitrousetstage: patch review -> needs patch
2013-04-25 23:15:49pitroulinkissue17847 superseder
2013-04-25 23:15:24pitrousetversions: + Python 3.1, Python 3.4
nosy: + georg.brandl

assignee: docs@python -> georg.brandl
type: enhancement -> behavior
stage: patch review
2012-08-26 18:56:18chris.jerdoneksetmessages: + msg169169
2012-08-16 19:10:30chris.jerdoneksetmessages: + msg168398
2012-08-16 16:40:12r.david.murraysetmessages: + msg168395
2012-08-16 16:18:48chris.jerdoneksetmessages: + msg168394
2012-08-16 16:12:10r.david.murraysetmessages: + msg168393
2012-08-16 16:02:04chris.jerdoneksetmessages: + msg168391
2012-08-16 15:51:18r.david.murraysetnosy: + r.david.murray
messages: + msg168389
2012-08-16 15:48:28chris.jerdonekcreate